from django.urls import path, include
from rest_framework import routers

from incident.views.incidents_api import AssetProblemsViewSet, IncidentViewSet, IncidentCategoryViewSet, \
    IncidentEffectViewSet, IncidentRecommendationsViewSet

router = routers.DefaultRouter()

router.register('asset/problems', AssetProblemsViewSet, basename='asset-problems')  # TODO maybe remove
router.register('category', IncidentCategoryViewSet, basename='incident-category')
router.register('effects', IncidentEffectViewSet, basename='incident-effects')
router.register('recommendations', IncidentRecommendationsViewSet, basename='incident-recommendations')
router.register('', IncidentViewSet, basename='incident')

urlpatterns = [
    path('', include(router.urls)),
]

